/* filename:    tab-ss-1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

_hp = 1;

if _hp == 0;
   hpstr = "";
else;
   hpstr = "hp";
endif;


#include pathspec.g;

/******************************************************************
**         Load Parameter Draws from MH Output
*/

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + subTstr + pas
*/
inputfile_str = ("\\..\\msearch\\m2ltm21t0p2\\results\\mhrun1\\acsamps" $+ hpstr)
             $| ("\\..\\msearch-pt\\m2ltm21t0p2\\results\\mhrun1\\acsamps" $+ hpstr)
             $| ("\\..\\miu\\m2ltm11t0p2\\results\\mhrun1\\acsamps" $+ hpstr) ;

data_str      = "\\..\\msearch\\m2ltm21t0p2\\results\\mhrun1\\data_ac" $+hpstr;
             
/* Specify row names for table
*/

para_name  =  "$+4$" $|
              "$+3$" $|
              "$+2$" $|
              "$+1$" $|
              "$ 0$" $|
              "$-1$" $|
              "$-2$" $|
              "$-3$" $|
              "$-4$" $|
              "$+4$" $|
              "$+3$" $|
              "$+2$" $|
              "$+1$" $|
              "$ 0$" $|
              "$-1$" $|
              "$-2$" $|
              "$-3$" $|
              "$-4$" 
              ;
             
inputfile_n = rows(inputfile_str);

npara = rows(para_name);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);

/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = workpath $+ inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   draw_mean = readr(fhparas,1)';
   post_mean[.,inputfile_ind] = draw_mean;
   drawrow = seekr(fhparas,npara+3);
   draw_ci = readr(fhparas,2)';
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = draw_ci;

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;

lparas = workpath $+ data_str;
open fhparas = ^lparas for read;
data_ac = readr(fhparas,1)';
closeall fhparas;

/* Create table
*/

para_ind = 1;

do until para_ind > rows(para_name);

      tablerow = para_name[para_ind]
                 $+ " & " $+ ftos(data_ac[para_ind],"%*.*lf",5,3);

      inputfile_ind = 1;
   
      do until inputfile_ind > inputfile_n;

         tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",5,3)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",5,3)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",5,3) $+ "]";
           
         inputfile_ind = inputfile_ind+1;
      
      endo;

      tablerow  = tablerow  $+ "\\\\";
   
      $tablerow;
         
      para_ind = para_ind+1;

endo;
