/* filename:    paratab-post1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

#include pathspec.g;

/******************************************************************
**         Load Parameter Draws from MH Output
*/

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + subTstr + pas
*/
inputfile_str = ("\\..\\msearch-pt-tvpi-obs3capital\\m1_t2m21t2p3\\para\\mhrun1\\pas" )
             $| ("\\..\\msearch-pt-tvpi-obs3\\m1_t2m21t2p3\\para\\mhrun1\\pas" );

             
/* Specify row names for table
*/
row_name =  "$\\delta$     "
         $| "$\\alpha$     "
         $| "$\\lambda$    "
         $| "$\\gamma$     "
         $| "$\\zeta$      "
         $| "$\\g_*$       "
         $| "${\\cal F}$   "
         $| "$\\chi_*$     "                           
         $| "$\\iota$      "
         $| "$\\psi_1$     "
         $| "$\\psi_2$     "
         $| "$\\rho_g$     "
         $| "$\\rho_\\chi$ "
         $| "$\\rho_R$     "
         $| "$\\rho_z$     "
         $| "$\\eta$       "
         $| "$\\kappa$     "
         $| "$\\theta$     "
         $| "$\\tilde{\\sigma}$ "
         $| "$\\tilde{\\psi}$   "
         $| "$\\pi_{*,A}$  "
         $| "$r_A$         "
         $| "$\\pi_{**,A}$ "
         $| "$S^{\\prime \\prime}$ "
         $| "$\\ln ({\\cal M}_*/{\\cal Y}_*)$   "
         $| "$\\ln (H_*/Y_*)$" 
         $| "$\\ln {\cal Y}_*$"
         $| "$\\tilde{\\pi}^*_{0,A}$"
         $| "$\\sigma_g$   "
         $| "$\\sigma_\\chi$"
         $| "$\\sigma_R$   "
         $| "$\\sigma_Z$   "
         $| "$\\sigma_\\pi$   "
         $| "$\\sigma_{R,2}$   "
;

             
inputfile_n = rows(inputfile_str);

npara = rows(row_name);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);

/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = workpath $+ inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   post_mean[.,inputfile_ind] = readr(fhparas,1)';
   drawrow = seekr(fhparas,npara+3);
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = readr(fhparas,2)';

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;



/* Create table
*/
para_ind = 1;
do until para_ind > npara;

   tablerow = row_name[para_ind];

   inputfile_ind = 1;
   
   do until inputfile_ind > inputfile_n;

      tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",4,2)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",4,2)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",4,2) $+ "]";

                 
      inputfile_ind = inputfile_ind+1;
      
   endo;
   tablerow  = tablerow  $+ "\\\\";
   
   $tablerow;
   
   para_ind = para_ind+1;

endo;
