/* filename:    tab-vd-1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;


#include pathspec.g;

/******************************************************************
**         Load Parameter Draws from MH Output
*/

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + subTstr + pas
*/
inputfile_str = "\\..\\msearch-tvpi-obs3\\m1_t2m21t2p3\\results\\mhrun1\\vdspecs"
             $| "\\..\\msearch-pt-tvpi-obs3\\m1_t2m21t2p3\\results\\mhrun1\\vdspecs";


/*             $| "\\..\\miu-tvpi-obs3\\m1_t2m11t2p3\\results\\mhrun1\\vdspecs"; */
             
/* Specify row names for table
*/

series_name = "\\hline \\multicolumn{5}{c}{Output} \\\\ \\hline" $|
              "\\hline \\multicolumn{5}{c}{Inflation} \\\\ \\hline" $|
              "\\hline \\multicolumn{5}{c}{Federal Funds Rate} \\\\ \\hline" $|
              "\\hline \\multicolumn{5}{c}{Real Money Balances} \\\\ \\hline" $|
              "\\hline \\multicolumn{5}{c}{Target Inflation} \\\\ \\hline";

shock_name  = "Gov Spending" $|
              "Money Demand" $|
              "Monetary Policy" $|
              "Technology" $|
              "Target Inflation" ;   

inputfile_n = rows(inputfile_str);

npara = rows(shock_name)*rows(series_name);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);

/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = workpath $+ inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   post_mean[.,inputfile_ind] = readr(fhparas,1)';
   drawrow = seekr(fhparas,npara+3);
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = readr(fhparas,2)';

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;

/* Create table
*/

para_ind = 1;

series_ind = 1;
do until series_ind > rows(series_name);

   $series_name[series_ind];
   
   shock_ind = 1;
   do until shock_ind > rows(shock_name);

      tablerow = shock_name[shock_ind];

      inputfile_ind = 1;
   
      do until inputfile_ind > inputfile_n;


         tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",4,2)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",4,2)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",4,2) $+ "]";
           
         inputfile_ind = inputfile_ind+1;

         
      
      endo;
      para_ind = para_ind+1;

      tablerow  = tablerow  $+ "\\\\";
   
      $tablerow;
      
      shock_ind = shock_ind+1;
   
   endo;
   
   series_ind = series_ind+1;

endo;
