/******************************************************************************
* LOADDATA.G
* reads time series data from ASCII data set into Gauss variable YY
* Data: GDPR, INFL, FFUNDS, M2R, INFLTarget
*
* EVIEWS ASCII export
* Range: 1964:I to 2005:I 
*
******************************************************************************/


if (datasel == 1);   

    load path = ^datapath YYall[]= "M1_t2.TXT ";
    YYall = reshape(YYall,rows(YYall)/5,5);
    ti = seqa(1964,0.25,rows(YYall));
    nobs = rows(YYall);   
    YY = YYall;

endif;

/** pick sub samples **/

if subT==0; /** start 1984:I **/
   subT0 = maxindc(ti.>=1984);
   subT1 = nobs;
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
   nobs  = rows(YY);
   
elseif subT==1; /** start 1987:III **/
   subT0 = maxindc(ti.>=1987.5);
   subT1 = nobs;
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
   nobs  = rows(YY);
   
elseif subT==2; /** start 1964:I **/
   subT0 = maxindc(ti.>=1964);
   subT1 = nobs;
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
   _tbegin2  = maxindc(ti.==1979);
   _tend2    = maxindc(ti.==1982.75);
   nobs  = rows(YY);

endif;         
