/********************************************************************
*  Prior, VAR and Data Specification and Global Setting
*
*  Cristina and Leonardo
*  Last updated: 03:07 PM  15-Apr-2007
********************************************************************/
dlibrary -a PszTgSen,PsdTgSen; 

subT     = 2;
datasel  = 1;
lmodel   = "vm";

/*Setting up the values for hyperparameters for the Minnesota prior **/

tau     =   0.1;            /* 0.1 overall tightness */ 
d       =   3.1;            /* scaling down the variance for the coefficients of a distant lag */ 
w       =   5;              /* number of observations used for obtaining the prior for the covariance matrix of error terms*/ 
lambda  =   1;              /* 2.3 tuning parameter for coefficients for constant*/ 
mu      =   1;              /* 12 tuning parameter for the covariance between coefficients*/ 

nvar_   = 5;                /* number of variables considered in the VAR */
nlags_  = 4;                /* number of lags   */

nirf    = 40;

/************************************************
*  DATASEL
*   5+ for simulated data
************************************************/
if datasel==1;
   dataselstr = "m1_t2";
elseif datasel == 2;
   dataselstr = "m1_1y";
elseif datasel == 3;
   dataselstr = "m1_10y";
endif;

/************************************************
*  subT
*
*  0 = start 1984:I + 4 lags
*  1 = start 1987:III + 4 lags
*  2 = start 1965:I + 4lags
************************************************/

subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);
T0       = 4;

/************************************************
*  Prior specification
************************************************/

lprior = "p1";
